ChangeNicNetworkType

1. API Description

This API (ChangeNicNetworkType) is used to modify the network interface mode of the instance.

Prerequisites

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

instanceId

Yes

String

ID of the instance.

nicNetworkType

Yes

String

Network interface mode.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request. RequestId is required for locating a problem.

4. Code Example

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

instanceId

Yes

String

ID of the instance.

nicNetworkType

Yes

Network interface mode.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Modify the network interface mode of the instance.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

OPERATION_DENIED_INSTANCE_EXIST_EXTRA_NIC

The instance has multiple vNICs, operation not allowed.

400

OPERATION_DENIED_INSTANCE_NIC_NETWORK_TYPE_NOT_SUPPORT

Unsupported vNIC mode.

400

OPERATION_DENIED_INSTANCE_STATUS_NOT_SUPPORT

Current instance state does not allow this operation.

Last updated